org.apache.ignite.spi.metric.jmx

## Class ReadOnlyDynamicMBean

- java.lang.Object
- - org.apache.ignite.spi.metric.jmx.ReadOnlyDynamicMBean

All Implemented Interfaces:
  DynamicMBean

Direct Known Subclasses:
  MetricRegistryMBean, SystemViewMBean

    public abstract class ReadOnlyDynamicMBean
    extends Object
    implements DynamicMBean

Metrics API currently has an experimental state. The API is stable enough but can be changed in future releases.

Base class for read only `DynamicMBean` implementations.

### Constructor Summary

Constructors
Constructor and Description
`ReadOnlyDynamicMBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AttributeList` `getAttributes(String[] attributes)`
`Object` `invoke(String actionName, Object[] params, String[] signature)`
`void` `setAttribute(Attribute attribute)`
`AttributeList` `setAttributes(AttributeList attributes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.management.DynamicMBean

`getAttribute, getMBeanInfo`

### Constructor Detail

#### ReadOnlyDynamicMBean

    public ReadOnlyDynamicMBean()

### Method Detail

#### setAttribute

    public void setAttribute(Attribute attribute)

Specified by:
  `setAttribute` in interface `DynamicMBean`

#### setAttributes

    public AttributeList setAttributes(AttributeList attributes)

Specified by:
  `setAttributes` in interface `DynamicMBean`

#### invoke

    public Object invoke(String actionName,
                         Object[] params,
                         String[] signature)
                  throws MBeanException,
                         ReflectionException

Specified by:
  `invoke` in interface `DynamicMBean`
Throws:
  `MBeanException`
  `ReflectionException`

#### getAttributes

    public AttributeList getAttributes(String[] attributes)

Specified by:
  `getAttributes` in interface `DynamicMBean`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020